Bug 168925 - CVE-2005-2709 More sysctl flaws
CVE-2005-2709 More sysctl flaws
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
impact=moderate,reported=20050919,sou...
: Security
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-09-21 07:43 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
10 users (show)

See Also:
Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 11:00:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Alexander Viro 2005-09-21 15:12:54 EDT
sysctls go away on network interfaces being removed.  Which includes
not only ppp et.al., but all sorts of tunnels, etc.  IOW, you can
wait for it to happen - in a lot of setups it will.  And in case of
e.g. ipv4 sysctls we are talking about >2Kb allocated on amd64, so
kmalloc() will pick full pages for each (per-interface) set of sysctls...
Comment 3 Ernie Petrides 2005-09-21 16:17:35 EDT
Thanks for the info, Al.  Reassigning.
Comment 11 Peter Martuccelli 2005-11-23 15:35:08 EST
Patch posted 11/23 - security issue - moving to canfix list.
Comment 12 Ernie Petrides 2005-11-30 02:35:17 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.12.EL).
Comment 14 Ernie Petrides 2006-01-11 18:34:36 EST
A fix for this problem has also been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).
Comment 16 Red Hat Bugzilla 2006-01-19 11:00:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html

Note You need to log in before you can comment on or make changes to this bug.